<?php
namespace MyMenu\Util;

class Utilities {
    private $htmlUtilities;
    private $filesUtilities;

	public function __construct($htmlUtilities, $filesUtilities) {
        $this->htmlUtilities = $htmlUtilities;
        $this->filesUtilities = $filesUtilities;
    }
    
    public function createStripedFieldInRow(&$row, $srcField, $destField) {
        $this->htmlUtilities->createStripedFieldInRow($row, $srcField, $destField);
    }
    public function concatFileServerPathToRow(&$row, $fileField) {
        $this->filesUtilities->concatFileServerPathToRow($row, $fileField);
    }
}