const path = require('path');

const firebaseBrowser = './firebase-browser';
const bundlePath = firebaseBrowser + "/dist/";

module.exports = {
  entry: {
    foreground: { 
        import: firebaseBrowser + '/firebase-messaging.js',
        filename: bundlePath + 'firebase-bundle.js'
    },
    background: { 
        import: firebaseBrowser + '/firebase-messaging-sw.js',
        filename: bundlePath + 'firebase-sw-bundle.js' 
    }
  },
  output: {
    path: path.resolve(__dirname),
  },
  stats: {
    all: false,
    errors: true,
    warnings: true,
  },
  devtool: 'eval-source-map',
};