function Utilities(ScreenService) {
    
    this.translate = function (e) {
        localStorage.setItem('language', e.target.name);
        this.selectFlag(e);
        ScreenService.setLanguage(e.target.name);
    };

    this.removeSelectedFlag = function() {
        document.getElementsByClassName('flag-selected')[0].classList.add("flag");
        document.getElementsByClassName('flag-selected')[0].classList.remove("flag-selected");
    };

    this.selectFlag = function(e) {
        this.removeSelectedFlag();
        e.target.classList.add("flag-selected");
        e.target.classList.remove("flag");
    };

    this.onInit = function() {
        const language = JSON.parse(localStorage.getItem('language')) || 'pt_br';

        document.getElementsByClassName('flag-selected')[0].classList.add("flag");
        document.getElementsByClassName('flag-selected')[0].classList.remove("flag-selected");

        document.getElementsByName(language)[0].classList.add("flag-selected");
        document.getElementsByName(language)[0].classList.remove("flag");
    };
}

Configuration(function (ContextRegister) {
    ContextRegister.register('Utilities', Utilities);
});